<?php
/**
 * @package linea21.core
 * @subpackage config_files
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//BE CAREFULL THIS FILE IS A SYSTEM FILE : use define_release.ini and define_db.ini for settings

/////////////////////////////////////
//	VARIABLES GLOABLES
/////////////////////////////////////

define('END_LINE',		"\n");
define('TAB_LINE',		"\t");

$GLOBALS['authorized_theme_sections'] = array ('THEME_SETTINGS');
$GLOBALS['authorized_db_sections'] = array ('DATABASE');
$GLOBALS['authorized_release_sections'] = array ('LANGUAGE_SETTINGS','LOCALES_SETTINGS','MODULES_SETTINGS','DEBUG_SETTINGS', 'SYSTEM_SETTINGS', 'SERVER_SETTINGS','MAIL_SETTINGS','MAIL_INFORMATIONS', 'SUPPORT_SETTINGS','LOGS_SETTINGS');

$GLOBALS['current_title'] = array(); // HTML <title> tag

$GLOBALS['links'] = array(); // Localized variables
$GLOBALS['filters'] = array(); // Localized (filters) variables

$GLOBALS['menuitems'] = array (
    					'news', 
                        'project', 
    					'dashboard',
    					'workgroup', 
    					'publication',
    					'directory'
                        );

//inclusion des paramètres configurés  dans les fichiers *.ini
include_once ("../class/class.config_file.php");

if(!isset($CONFIG))
{
  $CONFIG = new config_file;
  $CONFIG->initializeIniParams();
}

define('THEME_ADMIN_PATH',		"../".THEME_DIRECTORY."/admin/".THEME_ADMIN."/");
define('THEME_PUBLIC_PATH',		"../".THEME_DIRECTORY."/public/".THEME_PUBLIC."/");


// Include ONLY the desired language PRODUCTION mode
include_once ('../languages/' .LANGUAGE. '/define.php');
$GLOBALS['links'] = array_merge($GLOBALS['links'], $l10n_links);
$GLOBALS['filters'] = array_merge($GLOBALS['filters'], $l10n_filters);

// Include ALL languages for demonstration - not tested yet
//$a = availableLanguages();
//foreach ($a as &$value) {
//  include_once ('../languages/' .LANGUAGE. '/define.php');
//  $GLOBALS['links'] = array_merge($GLOBALS['links'], $l10n_links);
//  $GLOBALS['filters'] = array_merge($GLOBALS['filters'], $l10n_filters);
//}


/**
 * These globals have to be declared after $GLOBALS['links'] array.
 */ 
$GLOBALS['datePicker_includes'] = array('project|add', 'project|mod',
  			 'dashboard|add', 'dashboard|mod',
  			 'workshop|add_cal', 'workshop|mod_cal', 
  			 'prefs-utilisateur|');

$GLOBALS['multiSelect_includes'] = array('project|add', 'project|mod');

?>